import React from "react";
import { DropdownItem } from "./DropdownItem";
import { elementType, oneOfType, string } from "prop-types";
import { forwardRef } from "react";
const propTypes = {
  /**
   * An HTML element type or a custom React element type to render as.
   */
  as: oneOfType([string, elementType])
};
export function InnerDropdownButtonItem({
  as,
  forwardedRef,
  ...rest
}) {
  return /*#__PURE__*/React.createElement(DropdownItem, Object.assign({}, rest, {
    className: "dropdown-button-item",
    as: as || "button",
    ref: forwardedRef
  }));
}
InnerDropdownButtonItem.displayName = "InnerDropdownButtonItem";
InnerDropdownButtonItem.propTypes = propTypes;
export const DropdownButtonItem = /*#__PURE__*/forwardRef((props, ref) => /*#__PURE__*/React.createElement(InnerDropdownButtonItem, Object.assign({}, props, {
  forwardedRef: ref
})));