import React from "react";
import { CalendarIcon, MagnifierIcon } from "@react-components/icons";
import { cloneElement } from "react";
const MALE = {
  key: "Male",
  text: "Male",
  value: "Male"
};
const FEMALE = {
  key: "Female",
  text: "Female",
  value: "Female"
};

function Select({
  element,
  ...rest
}) {
  return /*#__PURE__*/cloneElement(element, {
    placeholder: "Gender",
    options: [MALE, FEMALE],
    ...rest
  });
}

function AvatarSelect({
  element,
  ...rest
}) {
  return /*#__PURE__*/cloneElement(element, {
    placeholder: "Gender",
    options: [{ ...MALE,
      avatar: {
        src: "https://randomuser.me/api/portraits/men/14.jpg",
        alt: "Male"
      }
    }, { ...FEMALE,
      avatar: {
        src: "https://randomuser.me/api/portraits/women/14.jpg",
        alt: "Female"
      }
    }],
    ...rest
  });
}

function IconsSelect({
  element,
  iconsPosition = "left",
  ...rest
}) {
  return /*#__PURE__*/cloneElement(element, {
    placeholder: "Gender",
    options: [{ ...MALE,
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
      iconsPosition
    }, { ...FEMALE,
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
      iconsPosition
    }],
    ...rest
  });
}

export function createTestSuite(select, stories) {
  return stories.add("default", () => /*#__PURE__*/React.createElement(Select, {
    element: select
  })).add("open", () => /*#__PURE__*/React.createElement(Select, {
    element: select,
    open: true
  })).add("default open", () => /*#__PURE__*/React.createElement(Select, {
    element: select,
    defaultOpen: true
  })).add("selected value", () => /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    defaultValue: "Female",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    defaultValue: "Female",
    open: true
  }))).add("size", () => /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    size: "small",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    size: "small",
    defaultValue: "Female",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    size: "small",
    open: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    defaultValue: "Female",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    open: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    size: "large",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    size: "large",
    defaultValue: "Female",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    size: "large",
    open: true
  })))).add("fluid", () => /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    fluid: true,
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    fluid: true,
    open: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, /*#__PURE__*/React.createElement("div", {
    className: "w-30 mr5"
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    fluid: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "w-30"
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    fluid: true,
    open: true
  }))))).add("interaction states", () => /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    active: true,
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    focus: true,
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    hover: true,
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    focus: true,
    hover: true
  }))).add("disabled", () => /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    disabled: true,
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    disabled: true,
    defaultValue: "Female"
  }))).add("clearable", () => /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    clearable: true,
    defaultValue: "Female",
    size: "small",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    clearable: true,
    defaultValue: "Female",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    clearable: true,
    defaultValue: "Female",
    size: "large",
    wrapperClassName: "mr5"
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    clearable: true,
    defaultValue: "Female",
    open: true
  })))).add("error", () => /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    error: true,
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    error: true,
    open: true
  }))).add("loading", () => /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    loading: true,
    size: "small",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    loading: true,
    size: "small",
    defaultValue: "Female",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    loading: true,
    size: "small",
    open: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    loading: true,
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    loading: true,
    defaultValue: "Female",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    loading: true,
    open: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    loading: true,
    size: "large",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    loading: true,
    size: "large",
    defaultValue: "Female",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    loading: true,
    size: "large",
    open: true
  })))).add("upward", () => /*#__PURE__*/React.createElement("div", {
    style: {
      marginTop: "50px"
    }
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    upward: true,
    open: true
  }))).add("icon", () => /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    size: "small",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    size: "small",
    defaultValue: "Male",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    size: "small",
    open: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    defaultValue: "Male",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    open: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    size: "large",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    size: "large",
    defaultValue: "Male",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    size: "large",
    open: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
    disabled: true
  })))).add("styling", () => /*#__PURE__*/React.createElement("div", {
    className: "flex"
  }, /*#__PURE__*/React.createElement(Select, {
    element: select,
    wrapperClassName: "border-red mr5"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    wrapperClassName: "mr5",
    wrapperStyle: {
      border: "1px solid red"
    }
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    wrapperClassName: "mr5",
    className: "border-red"
  }), /*#__PURE__*/React.createElement(Select, {
    element: select,
    style: {
      border: "1px solid red"
    }
  }))).add("item avatar", () => /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, /*#__PURE__*/React.createElement(AvatarSelect, {
    element: select,
    size: "small",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(AvatarSelect, {
    element: select,
    size: "small",
    defaultValue: "Female",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(AvatarSelect, {
    element: select,
    size: "small",
    open: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, /*#__PURE__*/React.createElement(AvatarSelect, {
    element: select,
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(AvatarSelect, {
    element: select,
    defaultValue: "Female",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(AvatarSelect, {
    element: select,
    open: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, /*#__PURE__*/React.createElement(AvatarSelect, {
    element: select,
    size: "large",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(AvatarSelect, {
    element: select,
    size: "large",
    defaultValue: "Female",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(AvatarSelect, {
    element: select,
    size: "large",
    open: true
  })))).add("item icons", () => /*#__PURE__*/React.createElement("div", {
    className: "flex flex-column"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, /*#__PURE__*/React.createElement(IconsSelect, {
    element: select,
    size: "small",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(IconsSelect, {
    element: select,
    size: "small",
    defaultValue: "Female",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(IconsSelect, {
    element: select,
    size: "small",
    defaultValue: "Female",
    iconsPosition: "right",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(IconsSelect, {
    element: select,
    size: "small",
    open: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, /*#__PURE__*/React.createElement(IconsSelect, {
    element: select,
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(IconsSelect, {
    element: select,
    defaultValue: "Female",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(IconsSelect, {
    element: select,
    defaultValue: "Female",
    iconsPosition: "right",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(IconsSelect, {
    element: select,
    open: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex",
    style: {
      marginBottom: "150px"
    }
  }, /*#__PURE__*/React.createElement(IconsSelect, {
    element: select,
    size: "large",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(IconsSelect, {
    element: select,
    size: "large",
    defaultValue: "Female",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(IconsSelect, {
    element: select,
    size: "large",
    defaultValue: "Female",
    iconsPosition: "right",
    wrapperClassName: "mr5"
  }), /*#__PURE__*/React.createElement(IconsSelect, {
    element: select,
    size: "large",
    open: true
  }))));
}